Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516607 - Dynflow throws an error: Could Not find and executor for Dynflow::Dispatcher::Envelope
Summary: Dynflow throws an error: Could Not find and executor for Dynflow::Dispatcher:...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard: scale_lab
Depends On:
Blocks: 1416046
TreeView+ depends on / blocked
 
Reported: 2017-11-23 05:06 UTC by sbadhwar
Modified: 2019-02-07 12:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 12:03:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21759 None None None 2017-11-24 09:36:02 UTC

Description sbadhwar 2017-11-23 05:06:28 UTC
Description of problem:
While running Remote Execution, Dynflow is logging the following error quite frequently

x----snip----x
E, [2017-11-22T23:58:04.845372 #25410] ERROR -- /client-dispatcher: Could not find an executor for Dynflow::Dispatcher::Envelope[request_id: 191920, sender_id: 3de4acfb-1e4c-45a9-b13e-ba1637d68dc7, receiver_id: Dynflow::Dispatcher::UnknownWorld, message: Dynflow::Dispatcher::Event[execution_plan_id: a86e1b97-17fb-4957-8e60-2fed8f0cb76e, step_id: 3, event: Dynflow::Action::Timeouts::Timeout]] (Dynflow::Error)
x----snip----x

Comment 1 Ivan Necas 2017-11-24 09:34:16 UTC
Triage notes: this are red herring messages, that I agree we should eliminate, as they are actually expected. Setting severity to low, as they should not have an impact on other functionality. Also related to https://bugzilla.redhat.com/show_bug.cgi?id=1416046

Comment 2 Ivan Necas 2017-11-24 09:35:58 UTC
Created redmine issue http://projects.theforeman.org/issues/21759 from this bug

Comment 9 Bryan Kearney 2018-11-30 15:01:16 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Rich Jerrido or Bryan Kearney or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 10 Bryan Kearney 2019-02-07 12:03:54 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.